> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Trust Center access requests

> Gets a list of access requests for a Trust Center.



## OpenAPI

````yaml /reference/manage-vanta.json get /trust-centers/{slugId}/access-requests
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/access-requests:
    get:
      tags:
        - Trust Centers
      summary: List Trust Center access requests
      description: Gets a list of access requests for a Trust Center.
      operationId: ListTrustCenterAccessRequests
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_TrustCenterAccessRequest_
              examples:
                Example 1:
                  value:
                    results:
                      pageInfo:
                        hasNextPage: true
                        hasPreviousPage: false
                        startCursor: YXJyYXljb25uZWN0aW9uOjA=
                        endCursor: YXJyYXljb25uZWN0aW9uOjE=
                      data:
                        - id: a2f7e1b9d0c3f4e5a6c7b8d9
                          email: exampleviewer@company.com
                          name: Example Viewer
                          companyName: Viewer Company, Inc.
                          reason: I'm an existing customer
                          requestedResources: null
                          accessLevel: FULL_ACCESS
                          creationDate: '2020-01-01T00:00:00.000Z'
                          updatedDate: '2020-01-01T00:00:00.000Z'
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_TrustCenterAccessRequest_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/TrustCenterAccessRequest'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    TrustCenterAccessRequest:
      properties:
        id:
          type: string
          description: Unique identifier for the access request.
        email:
          type: string
          description: Email of the requester.
        name:
          type: string
          description: Name of the requester.
        companyName:
          type: string
          description: Name of the requester's company.
        reason:
          type: string
          description: Reason for the access request.
        requestedResources:
          items:
            type: string
          type: array
          nullable: true
          description: IDs for the resources that the viewer requested access to.
        accessLevel:
          $ref: '#/components/schemas/ViewerAccessLevel'
          description: Access level that the viewer requested.
        creationDate:
          type: string
          format: date-time
          description: Date the access request was created.
        updatedDate:
          type: string
          format: date-time
          description: Date the access request was last updated.
      required:
        - id
        - email
        - name
        - companyName
        - reason
        - requestedResources
        - accessLevel
        - creationDate
        - updatedDate
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
    ViewerAccessLevel:
      description: >-
        The access level of the viewer.

        FULL_ACCESS means having access to all resources on the trust center.

        PARTIAL_ACCESS means having access to all public resources and a select
        list of requestable resources.
      enum:
        - FULL_ACCESS
        - PARTIAL_ACCESS
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````